CREATE TABLE &LIBREF..CREDIT_RISK_MITIGANT (
     CREDIT_RISK_MITIGANT_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Credit Risk Mitigant Key',
     VALID_FROM_DTTM      DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid From Date Time',
     VALID_TO_DTTM        DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Valid To Date time',
     EFFECTIVE_FROM_DT    DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Effective From Date',
     CREDIT_RISK_MITIGANT_TYPE_CD VARCHAR(3) label='Credit Risk Mitigant Type Code',
     CREDIT_RISK_MITIGANT_ID VARCHAR(32) label='Credit Risk Mitigant Identifier',
     PHYSICAL_COLLATERAL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Physical Collateral Key',
     FINANCIAL_COLLATERAL_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Financial Collateral Key',
     GUARANTEE_RK         NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Guarantee Key',
     RECEIVABLES_RK       NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Receivables Key',
     PRIM_COLL_ASSET_TYPE_CD VARCHAR(3) label='Primary Collateral Asset Type Code',
     SOURCE_SYSTEM_CD     VARCHAR(3) label='Source System Code',
     VALUATION_TYPE_CD    VARCHAR(3) label='Valuation Type Code',
     HIGHER_SENIORITY_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Higher Seniority Amount',
     PROTECTION_VALUE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Protection Value Amount',
     CURRENCY_CD          VARCHAR(3) label='Currency Code',
     EXPIRATION_DT        DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='Expiration Date',
     MTM_TIME_FREQUENCY_CD VARCHAR(3) label='Mark to Market Time Frequency Code',
     IRREVOCABLE_FLG      CHARACTER(1) label='Irrevocable Flag',
     ELIGIBLE_CR_MITIGANT_TYPE_CD VARCHAR(3) label='Eligible Credit Risk Mitigant Type Code',
     HELD_BY_INTERNAL_ORG_RK NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Held By Internal Organization Key',
     UNFUNDED_FLG         CHARACTER(1) label='Unfunded Flag',
     THIRD_PARTY_DEPOSIT_FLG CHARACTER(1) label='Third Party Deposit Flag',
     USED_FOR_APPL_ONLY_FLG CHARACTER(1) label='Used for Application Only Flag',
     IRB_ALT_TREAT_ELIGIBLE_TYPE_CD VARCHAR(3) label='IRB alternate treatment eligibility Code',
     MTM_MITIGANT_VALUE_AMT NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Mark to Market Mitigant Value Amount',
     EFFECTIVE_FROM_DTTM  DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective From Date time',
     EFFECTIVE_TO_DTTM    DATE FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Effective To Date time',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (CREDIT_RISK_MITIGANT_RK, VALID_FROM_DTTM)
);

