CREATE TABLE &LIBREF..GL_SEGMENT_BALANCE (
     GL_ACCOUNT_RK        NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='General Ledger Key',
     ACCOUNT_PERIOD_RK    NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='Account Period Retained Surrogate Key',
     GL_BALANCE_REPT_CURRENCY_CD VARCHAR(3) label='GL Balance Reporting Currency Code',
     REPORTING_METHOD_CD  VARCHAR(3) label='Reporting Method Code',
     GL_SEGMENT_GROUP_RK  NUMERIC(10) FORMAT=&FMTRK INFORMAT=&FMTRK label='GL Segment Group Key',
     AS_OF_DT             DATE FORMAT=&DTFMT INFORMAT=&DTFMT label='As Of Date',
     SEGMENT_BALANCE_AMT  NUMERIC(18,5) FORMAT=NLNUM18.5 INFORMAT=NLNUM18.5 label='Segment Balance Amount',
     TAX_RT               NUMERIC(9,4) FORMAT=NLNUM9.4 INFORMAT=NLNUM9.4 label='Tax Rate',
     PROCESSED_DTTM       DATE NOT NULL FORMAT=&DTTMFMT INFORMAT=&DTTMFMT label='Processed Date Time',
     CONSTRAINT PRIM_KEY PRIMARY KEY (GL_ACCOUNT_RK, ACCOUNT_PERIOD_RK,
      GL_BALANCE_REPT_CURRENCY_CD, REPORTING_METHOD_CD, GL_SEGMENT_GROUP_RK,
      AS_OF_DT)
);

